package org.expressolivre.cte.calendar.preferencias;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AddAppointmentCategoryPage;
import org.expressolivre.cte.pages.calendar.AppointmentCategoryPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.8] Alterar preferencias da agenda
 * 
 * Caso de Teste: EL-1268:Criar categoria com nome duplicado
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1268
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 11, 2011 at 2:33:04 PM
 * 
 */
public class CriarCategoriaComNomeDuplicadoTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "nome" })
	@Test
	public void criarCategoriaComNomeDuplicado(String nome) {
		AppointmentCategoryPage acp = super.openAppointmentCategoryPage();
		AddAppointmentCategoryPage aacp = acp.addCategory();
		aacp.setCategoryName(nome);
		aacp.saveCategory();

		Assert.assertEquals(aacp.getErrorMessage(),
				"Este nome já está em uso !");
	}

}
