package org.expressolivre.cte.calendar.preferencias;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentCategoryPage;
import org.expressolivre.cte.pages.calendar.EditAppointmentCategoryPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.8] Alterar preferencias da agenda
 * 
 * Caso de Teste: EL-993:Editar categoria
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-993
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 10, 2011 at 2:32:54 PM
 * 
 */
public class EditarCategoriaTestCase extends BaseCalendarTestCase {

	@Parameters({ "nome", "descricao", "particular", "novoNome",
			"novaDescricao", "novoParticular" })
	@Test
	public void editarCategoria(String nome, String descricao,
			Boolean particular, String novoNome, String novaDescricao,
			Boolean novoParticular) {
		AppointmentCategoryPage acp = super.openAppointmentCategoryPage();
		Integer catId = acp.findCategory(nome);

		Assert.assertNotNull(catId);

		EditAppointmentCategoryPage eacp = acp.editCategory(nome);
		Assert.assertEquals(nome, eacp.getCategoryName());
		Assert.assertEquals(descricao, eacp.getCategoryDescription());
		Assert.assertEquals(particular, eacp.getPrivateAccess());

		eacp.setCategoryName(novoNome);
		eacp.setCategoryDescription(novaDescricao);
		eacp.setPrivateAccess(novoParticular);

		eacp.saveCategory();
	}
}
