package org.expressolivre.cte.calendar.preferencias;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentCategoryPage;
import org.expressolivre.cte.pages.calendar.RemoveAppointmentCategoryPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.8] Alterar preferencias da agenda
 * 
 * Caso de Teste: EL-991:Remover categoria com sub categoria
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-991
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 11, 2011 at 10:34:54 AM
 * 
 */
public class RemoverCategoriaESubTestCase extends BaseCalendarTestCase {

	@Parameters({ "nome", "nomeFilha" })
	@Test
	public void removerCategoria(String nome, String nomeFilha) {
		AppointmentCategoryPage acp = super.openAppointmentCategoryPage();
		Integer catId = acp.findCategory(nome);

		Assert.assertNotNull(catId);

		RemoveAppointmentCategoryPage racp = acp.removeCategory(nome);
		racp.setRemoveSubCategories();
		acp = racp.removeCategory();

		// Verifica se a categoria foi realmente removida
		Assert.assertNull(acp.findCategory(nome));
		Assert.assertNull(acp.findCategory(nomeFilha));
	}
}
