package org.expressolivre.cte.calendar.preferencias;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentCategoryPage;
import org.expressolivre.cte.pages.calendar.RemoveAppointmentCategoryPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.8] Alterar preferencias da agenda
 * 
 * Caso de Teste: EL-992:Remover categoria sem excluir sub categoria
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-992
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 11, 2011 at 10:27:54 AM
 * 
 */
public class RemoverCategoriaSemExcluirSubTestCase extends BaseCalendarTestCase {

	@Parameters({ "nome", "nomeFilha" })
	@Test
	public void removerCategoriaSemExcluirSubCategoria(String nome,
			String nomeFilha) {
		AppointmentCategoryPage acp = super.openAppointmentCategoryPage();
		Integer catId = acp.findCategory(nome);

		Assert.assertNotNull(catId);

		RemoveAppointmentCategoryPage racp = acp.removeCategory(nome);
		acp = racp.removeCategory();

		// Verifica que a categoria filha permanece na lista.
		catId = acp.findCategory(nomeFilha);

		Assert.assertNotNull(catId);
	}
}
