package org.expressolivre.cte.calendar.visualizar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentEditPage;
import org.expressolivre.cte.pages.calendar.AppointmentSearchResultPage;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.testng.Assert;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-968:Editar todos ocorrências do compromisso com repetição
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-968
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Ago 11, 2011 at 4:45:43 PM
 * 
 */
public class EditarCompromissoRecorrenteTodasOcorrenciasTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "tipo", "titulo", "descricao", "local", "horaInicial",
			"horaFinal", "prioridade", "novoTitulo", "novaDescricao",
			"novoLocal", "novaData", "novaHoraInicial", "novoMinutoInicial",
			"novaHoraFinal", "novoMinutoFinal" })
	@Test
	public void editarCompromissoRecorrenteTodasOcorrencias(
			@Optional("Normal") String tipo, String titulo,
			@Optional("") String descricao, @Optional("") String local,
			String horaInicial, String horaFinal,
			@Optional("Normal") String prioridade, String novoTitulo,
			String novaDescricao, String novoLocal,
			@Optional("") String novaData, String novaHoraInicial,
			String novoMinutoInicial, String novaHoraFinal,
			String novoMinutoFinal) {

		// Procura o compromisso.
		cp.setSearchText(titulo);
		AppointmentSearchResultPage asrp = cp.searchAppointment();
		Assert.assertEquals(asrp.getResultsNumber(), "1 ocorrência encontrada.");
		// Vai para a pagina de visualizacao do compromisso.
		AppointmentViewPage avp = asrp.viewAppointment(1);

		AppointmentEditPage aep = avp.editAppointmentSeries();
		aep.setLocation(novoLocal);
		aep.setStartHour(novaHoraInicial);
		aep.setStartMinute(novoMinutoInicial);
		aep.setEndHour(novaHoraFinal);
		aep.setEndMinute(novoMinutoFinal);
		aep.saveAppointment();
	}
}
