package org.expressolivre.cte.calendar.visualizar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentEditPage;
import org.expressolivre.cte.pages.calendar.AppointmentSearchResultPage;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.testng.Assert;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-966:Editar compromisso
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-966
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Ago 4, 2011 at 2:11:43 PM
 * 
 */
public class EditarCompromissoTestCase extends BaseCalendarTestCase {

	@Parameters({ "tipo", "titulo", "descricao", "local", "horaInicial",
			"horaFinal", "prioridade", "novoTitulo", "novaDescricao",
			"novoLocal", "novaData", "novaHoraInicial", "novoMinutoInicial",
			"novaHoraFinal", "novoMinutoFinal" })
	@Test
	public void editarCompromisso(@Optional("Normal") String tipo,
			String titulo, @Optional("") String descricao,
			@Optional("") String local, String horaInicial, String horaFinal,
			@Optional("Normal") String prioridade, String novoTitulo,
			String novaDescricao, String novoLocal,
			@Optional("") String novaData, String novaHoraInicial,
			String novoMinutoInicial, String novaHoraFinal,
			String novoMinutoFinal) {

		// Procura o compromisso.
		cp.setSearchText(titulo);
		AppointmentSearchResultPage asrp = cp.searchAppointment();
		Assert.assertEquals(asrp.getResultsNumber(), "1 ocorrência encontrada.");
		// Vai para a pagina de visualizacao do compromisso.
		AppointmentViewPage avp = asrp.viewAppointment(1);

		AppointmentEditPage aep = avp.editAppointment();
		aep.setTitle(novoTitulo);
		aep.setDescription(novaDescricao);
		aep.setLocation(novoLocal);
		aep.setStartDate(novaData);
		aep.setStartHour(novaHoraInicial);
		aep.setStartMinute(novoMinutoInicial);
		aep.setEndDate(novaData);
		aep.setEndHour(novaHoraFinal);
		aep.setEndMinute(novoMinutoFinal);
		aep.saveAppointment();
	}
}
