package org.expressolivre.cte.calendar.visualizar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.expressolivre.cte.pages.calendar.CalendarTodayViewPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-965:Exibir compromisso com repeticao
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-965
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Ago 11, 2011 at 3:00:43 PM
 * 
 */
public class ExibirCompromissoComRepeticaoTestCase extends BaseCalendarTestCase {

	/**
	 * Exibe um compromisso da data corrente.
	 * 
	 * @param tipo
	 * @param titulo
	 * @param inicio
	 * @param fim
	 * @param prioridade
	 */
	@Parameters({ "tipo", "titulo", "inicio", "fim", "prioridade" })
	@Test
	public void exibirCompromissoComRepeticao(String tipo, String titulo,
			String inicio, String fim, String prioridade) {
		CalendarTodayViewPage ctvp = super.openTodayView();
		String id = ctvp.getAppointmentId(titulo);
		String[] ids = id.split("rc");

		AppointmentViewPage avp = cp.openAppointmentViewPage(
				ids[0].substring(1), ids[1].substring(0, ids[1].length() - 1));
		Assert.assertEquals(avp.getTitle(), titulo);
	}
}
