package org.expressolivre.cte.calendar.visualizar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.expressolivre.cte.pages.calendar.CalendarTodayViewPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-969:Remover compromisso com repeticao
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-969
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Ago 2, 2011 at 9:39:05 AM
 * 
 */
public class RemoverCompromissoComRepeticaoTestCase extends
		BaseCalendarTestCase {

	/**
	 * @param titulo
	 */
	@Parameters({ "titulo" })
	@Test
	public void removerCompromissoComRepeticaoDataCorrente(String titulo) {
		CalendarTodayViewPage ctvp = super.openTodayView();
		String id = ctvp.getAppointmentId(titulo);

		String[] ids = id.split("rc");

		AppointmentViewPage avp = cp.openAppointmentViewPage(
				ids[0].substring(1), ids[1].substring(0, ids[1].length() - 1));
		Assert.assertEquals(avp.getTitle(), titulo);

		avp.removeSeriesAppointment();
	}

}
