package org.expressolivre.cte.calendar.visualizar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.expressolivre.cte.pages.calendar.CalendarTodayViewPage;
import org.testng.Assert;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Caso de Teste: EL-970:Remover compromisso
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-970
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jul 26, 2011 at 9:49:05 AM
 * 
 */
public class RemoverCompromissoTestCase extends BaseCalendarTestCase {

	/**
	 * Remove o compromisso da data corrente.
	 * 
	 * @param titulo
	 *            Titulo do compromisso a ser removido.
	 */
	@Parameters({ "titulo" })
	@Test
	public void removerCompromissoDataCorrente(String titulo) {
		// Abre a visao diaria e procura pelo compromisso.
		CalendarTodayViewPage ctvp = super.openTodayView();
		String id = ctvp.getAppointmentId(titulo);

		// Abre a pagina do compromisso.
		AppointmentViewPage avp = cp.openAppointmentViewPage(id);
		// Verifica o titulo.
		Assert.assertEquals(avp.getTitle(), titulo);

		// Aciona o botao remover.
		avp.removeAppointment();
	}

}
