package org.expressolivre.cte.pages.calendar;

import org.expressolivre.cte.pages.common.Page;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 10, 2011 at 1:56:27 PM
 * 
 */
public class AddAppointmentCategoryPage extends Page {

	/** Combo para escolher categoria pai. */
	@FindBy(name = "new_parent")
	private WebElement parentCategory;

	/** Nome da categoria. */
	@FindBy(name = "cat_name")
	private WebElement categoryName;

	/** Descricao da categoria. */
	@FindBy(name = "cat_description")
	private WebElement categoryDescription;

	/** Categoria privada. */
	@FindBy(name = "cat_access")
	private WebElement privateCategory;

	/** Botao para salvar a categoria. */
	@FindBy(name = "save")
	private WebElement saveCategory;

	/** Mensagem de erro ao tentar salvar uma categoria. */
	@FindBy(xpath = "//table[@id='tableDivAppbox']/tbody/tr/td/center/table[1]/tbody/tr/td[2]")
	private WebElement errorMessage;

	/**
	 * @param driver
	 */
	public AddAppointmentCategoryPage(WebDriver driver) {
		super(driver);
		// TODO Auto-generated constructor stub
	}

	/**
	 * @param parent
	 */
	public void setParentCategory(String parent) {
		super.setComboValue(parentCategory, parent);
	}

	/**
	 * Seta o nome da categoria.
	 * 
	 * @param name
	 *            Nome da categoria a setar.
	 */
	public void setCategoryName(String name) {
		this.categoryName.clear();
		this.categoryName.sendKeys(name);
	}

	/**
	 * @return
	 */
	public String getCategoryName() {
		return this.categoryName.getValue();
	}

	/**
	 * Seta a descricao da categoria.
	 * 
	 * @param description
	 *            Descricao da categoria a setar.
	 */
	public void setCategoryDescription(String description) {
		this.categoryDescription.clear();
		this.categoryDescription.sendKeys(description);
	}

	/**
	 * @return
	 */
	public String getCategoryDescription() {
		return this.categoryDescription.getValue();
	}

	/**
	 * Torna a categoria privada ou nao.
	 */
	public void setPrivateAccess(Boolean privateCategory) {
		if (privateCategory && !this.privateCategory.isSelected()) {
			this.privateCategory.click();
		} else if (!privateCategory && this.privateCategory.isSelected()) {
			this.privateCategory.click();
		}
	}

	/**
	 * @return
	 */
	public Boolean getPrivateAccess() {
		return this.privateCategory.isSelected();
	}

	/**
	 * Salva a categoria.
	 */
	public void saveCategory() {
		this.saveCategory.click();
	}

	/**
	 * @return
	 */
	public String getErrorMessage() {
		return this.errorMessage.getText();
	}
}
